DMAKE2(3)

SYNOPSIS
SUBROUTINE DMAKE2 (TYPE, UPLO, DIAG, M, N, A, NMAX, AA, LDA, KL, $ KU, RESET, TRANSL)

NAME
dmake2 - Generate values for an M by N matrix A.

LIBRARY
SLATEC (BLAS)

AUTHOR
Du Croz, J. J., (NAG) Hanson, R. J., (SNLA)

DESCRIPTION
Generates values for an M by N matrix A within the bandwidth defined by KL and KU. Stores the values in the array AA in the data structure required by the routine, with unwanted elements set to rogue value. TYPE is 'GE', 'GB', 'SY', 'SB', 'SP', 'TR', 'TB' OR 'TP'. Auxiliary routine for test program for Level 2 Blas.

REFERENCES
(NONE)

ROUTINES CALLED
DBEG

REVISION HISTORY (YYMMDD)
870810 DATE WRITTEN
910620 Modified to meet SLATEC code and prologue standards. (BKS)